Packages - Freedom Issue #2095

[libsystemd-dummy] unwanted dependency
2018-11-20 01:38 PM - anon7mous

Status: not-a-bug % Done: 0%
Priority: discussion

Assignee: Megver83

Category:

Description

Since the last update of libsystemd-dummy, the package has been dependency libsystemd.so with the result systemd-libsystemd
would be installed.

This is a big freedom issue for people who doesn't want systemd.

Why was this dependency incorporated?

The -dummy packages are only *empty packages .

Please remove this dependency.

Related issues:
Related to Documentation - Housekeeping #2026: OpenRC documentation needs cla... open

History

#1 - 2019-01-12 11:36 PM - anon7mous

Can anybody explain these unwanted dependency and why it works with the previous version without problems?

#2 - 2019-01-13 01:08 AM - bill-auger

- Related to Housekeeping #2026: OpenRC documentation needs clarification and expansion added

#3 - 2019-01-13 01:14 AM - bill-auger
- Priority changed from bug to discussion

- Assignee set to Megver83

there is another issue open to discuss this question and several others surrounding the confusing and sparsely documented tangle of the various
openrc/udev/elogind/nonsystemd options - i will assign this issue to megver to get his attention, because he made that 'libsystemd-dummy' package;
but let us discuss it in #2026, because this is just one of the common question related to supporting multiple init-systems and others are already
watching that issue - hopefully the other questions as well can be answered and documented

#4 - 2019-01-31 01:59 AM - Megver83

libsystemd-dummy depends in a libsystemd.so provider because that was what the original package used to provide (the libsystemd.so lib)

If that library is not present in the system, no matter if you run a non-systemd init, some programs (like kate, as | could verify) will simply not work.
Removing this dependency would be the worst decision and it has to be a dependency of libsystemd-dummy. Period. Plus, it is not a "freedom

issue" because you are not installing systemd, but a small part of it (thx lukeshu for splitting systemd, that was very smart), it is like saying "installing
elogind is a freedom issue for non-systemd users".

The point of init freedom is that PID 0 != systemd, the rest is another story. And if it's about compatibility, then don't worry, we've covered most of
these issues.

#5 - 2019-01-31 02:15 AM - bill-auger

- Status changed from open to not-a-bug

that is surely the biggest problem people have is the word systemd being in the package name - if we renamed this package to
'happy-smiling-buttercups', people would love it :)

unfortunately that is about the extent that i understand it already - that is usually all i can answer to those who ask this question, like: "its not really
systemd - its not a virus - some of your favorite programs will not work without it"

we should close this issue and try to sort the rest of the confusion in issue #2026 (this same question appears there also IIRC); so that we can

document these confusiong packges better and everyone can understand why they have the names that they do, and why some of them are needed
even with other inits
